<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Document</title>
</head>
<body onLoad="reloadpic()">
  <button onclick="reloadpic()">Click to refresh</button>
  <div class="textBox">
    <input type="text" value="cats">
  </div>
  <img src="#">
  <script>
    function reloadpic()
    {
    const animalName = document.querySelector('input').value;
    //console.log(`animal name is: ${animalName}`);
    const img = document.querySelector('img');
    fetch('https://api.giphy.com/v1/gifs/translate?api_key=OPdaNNKxbl7VIsW4Yp3gBtXzKUttS23V&s=' + animalName, {mode: 'cors'})
//    fetch('https://api.giphy.com/v1/gifs/translate?api_key=OPdaNNKxbl7VIsW4Yp3gBtXzKUttS23V&s=cats', {mode: 'cors'})
      .then(function(response) {
        return response.json();
      })
      .then(function(response) {
//        console.log(response.data.images.original.url);
        img.src = response.data.images.original.url;
      })
      .catch(function(response) {
        alert(`Error - animal: ${animalName} not found`);
      });
    }
  </script>
</body>
</html>